# `gcr.io/tanzu-buildpacks/java`

The Tanzu Java Buildpack is a Cloud Native Buildpack with an order definition suitable for Java applications.

## Included Buildpacks

* [`tanzu-buildpacks/apache-tomcat-offline`](https://github.com/pivotal-cf/tanzu-apache-tomcat)
* [`tanzu-buildpacks/apache-tomee-offline`](https://github.com/pivotal-cf/tanzu-apache-tomee)
* [`tanzu-buildpacks/azure-application-insights-offline`](https://github.com/pivotal-cf/tanzu-azure-application-insights)
* [`tanzu-buildpacks/tanzu-bellsoft-liberica-offline`](https://github.com/pivotal-cf/tanzu-bellsoft-liberica)
* [`tanzu-buildpacks/ca-certificates-offline`](https://github.com/pivotal-cf/tanzu-ca-certificates)
* [`tanzu-buildpacks/clojure-tools-offline`](https://github.com/pivotal-cf/tanzu-clojure-tools)
* [`tanzu-buildpacks/dist-zip-offline`](https://github.com/pivotal-cf/tanzu-dist-zip)
* [`tanzu-buildpacks/datadog-offline`](https://github.com/pivotal-cf/tanzu-datadog)
* [`tanzu-buildpacks/encrypt-at-rest-offline`](https://github.com/pivotal-cf/tanzu-encrypt-at-rest)
* [`tanzu-buildpacks/environment-variables-offline`](https://github.com/pivotal-cf/tanzu-environment-variables)
* [`tanzu-buildpacks/executable-jar-offline`](https://github.com/pivotal-cf/tanzu-executable-jar)
* [`tanzu-buildpacks/google-stackdriver-offline`](https://github.com/pivotal-cf/tanzu-google-stackdriver)
* [`tanzu-buildpacks/gradle-offline`](https://github.com/pivotal-cf/tanzu-gradle)
* [`tanzu-buildpacks/image-labels-offline`](https://github.com/pivotal-cf/tanzu-image-labels)
* [`tanzu-buildpacks/jattach-offline`](https://github.com/pivotal-cf/tanzu-jattach)
* [`tanzu-buildpacks/java-memory-assistant-offline`](https://github.com/pivotal-cf/tanzu-java-memory-assistant)
* [`tanzu-buildpacks/leiningen-offline`](https://github.com/pivotal-cf/tanzu-leiningen)
* [`tanzu-buildpacks/liberty-offline`](https://github.com/pivotal-cf/tanzu-liberty)
* [`tanzu-buildpacks/maven-offline`](https://github.com/pivotal-cf/tanzu-maven)
* [`tanzu-buildpacks/node-engine-offline`](https://github.com/pivotal-cf/tanzu-node-engine)
* [`tanzu-buildpacks/procfile-offline`](https://github.com/pivotal-cf/tanzu-procfile)
* [`tanzu-buildpacks/sbt-offline`](https://github.com/pivotal-cf/tanzu-sbt)
* [`tanzu-buildpacks/spring-boot-offline`](https://github.com/pivotal-cf/tanzu-spring-boot)
* [`tanzu-buildpacks/syft-offline`](https://github.com/pivotal-cf/tanzu-syft)
* [`tanzu-buildpacks/watchexec-offline`](https://github.com/pivotal-cf/tanzu-watchexec)
* [`tanzu-buildpacks/yarn-offline`](https://github.com/pivotal-cf/tanzu-yarn)
* [`tanzu-buildpacks/apache-skywalking-offline`](https://github.com/pivotal-cf/tanzu-apache-skywalking)
* [`tanzu-buildpacks/appdynamics-offline`](https://github.com/pivotal-cf/tanzu-appdynamics)
* [`tanzu-buildpacks/aspectj-offline`](https://github.com/pivotal-cf/tanzu-aspectj)
* [`tanzu-buildpacks/aternity-offline`](https://github.com/pivotal-cf/tanzu-aternity)
* [`tanzu-buildpacks/checkmarx-offline`](https://github.com/pivotal-cf/tanzu-checkmarx)
* [`tanzu-buildpacks/contrast-security-offline`](https://github.com/pivotal-cf/tanzu-contrast-security)
* [`tanzu-buildpacks/dynatrace-offline`](https://github.com/pivotal-cf/tanzu-dynatrace)
* [`tanzu-buildpacks/elastic-apm-offline`](https://github.com/pivotal-cf/tanzu-elastic-apm)
* [`tanzu-buildpacks/jacoco-offline`](https://github.com/pivotal-cf/tanzu-jacoco)
* [`tanzu-buildpacks/jprofiler-offline`](https://github.com/pivotal-cf/tanzu-jprofiler)
* [`tanzu-buildpacks/jrebel-offline`](https://github.com/pivotal-cf/tanzu-jrebel)
* [`tanzu-buildpacks/luna-security-provider-offline`](https://github.com/pivotal-cf/tanzu-luna-security-provider)
* [`tanzu-buildpacks/new-relic-offline`](https://github.com/pivotal-cf/tanzu-new-relic)
* [`tanzu-buildpacks/overops-offline`](https://github.com/pivotal-cf/tanzu-overops)
* [`tanzu-buildpacks/snyk-offline`](https://github.com/pivotal-cf/tanzu-snyk)
* [`tanzu-buildpacks/synopsys-offline`](https://github.com/pivotal-cf/tanzu-synopsys)
* [`tanzu-buildpacks/yourkit-offline`](https://github.com/pivotal-cf/tanzu-yourkit)

## License

```
Copyright 2018-2023, VMware, Inc. All Rights Reserved.
Proprietary and Confidential.
Unauthorized use, copying or distribution of this source code via any medium is strictly prohibited without the express written consent of VMware, Inc.
```
